[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] Error while compiling febootstrap (a prereq for libguestfs)



On Fri, Feb 10, 2012 at 09:51:17AM -0800, Irfan Ahmed wrote:
> I want to install libguestfs in Centos 5 Kernel version
> 2.6.18.8-xen. For this, I have sucessfully installed ocaml-3.12.1,
> findlib-1.2.7. Now when  I am trying to install febootstrap-3.13
> (another prereq for libguestfs), I am getting the following error
> during 'make'.

It's essentially very difficult to compile libguestfs for RHEL 5.  We
stopped supporting it some time ago, except for the old version of
libguestfs that ships in RHEL 5 (1.2.something, about 2 years old).
I'm not even sure what "2.6.18.8-xen" is.  I don't think it's a kernel
that Red Hat ship, and so it's not likely that it contains the bits
required to run recent libguestfs (virtio-serial etc.).

I would use RHEL 6 instead, which is supported and for which we even
build packages for you:

http://people.redhat.com/~rjones/libguestfs-RHEL-6.3-preview/

If you can't do that, then you can look here and try to make
more recent versions of these:
http://libguestfs.org/download/binaries/rhel5-packages/
but as I said above, this is going to be extremely hard work.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
New in Fedora 11: Fedora Windows cross-compiler. Compile Windows
programs, test, and build Windows installers. Over 70 libraries supprt'd
http://fedoraproject.org/wiki/MinGW http://www.annexia.org/fedora_mingw


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]